# SPDX-FileCopyrightText: 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

{% set data = load_file_data(RECIPE_DIR + '/../pyproject.toml') %}

package:
  name: {{ data['project']['name'] }}
  version: {{ environ.get('PACKAGE_VERSION') }}

source:
  path: ..

build:
  noarch: python
  number: {{ environ.get('NEXT_BUILD_NUMBER', 0) }}
  run_exports:
    - {{ pin_subpackage(data['project']['name']) }}
  script:
    - "{{ PYTHON }} -m pip install {{ SRC_DIR }} -vv"

requirements:
  host:
    - python >=3.10
    - pip
    - hatchling
    - versioningit
    - clapper {{ clapper }}
    - click {{ click }}
    - credible {{ credible }}
    - grad-cam {{ grad_cam }}
    - matplotlib {{ matplotlib }}
    - numpy {{ numpy }}
    - pillow {{ pillow }}
    - psutil {{ psutil }}
    - pytorch {{ pytorch }}
    - scikit-image {{ scikit_image }}
    - scikit-learn {{ scikit_learn }}
    - scipy {{ scipy }}
    - tabulate {{ tabulate }}
    - torchvision  {{ torchvision }}
    - tqdm {{ tqdm }}
    - tensorboard {{ tensorboard }}
    - lightning {{ lightning }}
    - lightning >=2.2.0
  run:
    - python >=3.10
    - versioningit
    - {{ pin_compatible('clapper') }}
    - {{ pin_compatible('click') }}
    - {{ pin_compatible('credible') }}
    - {{ pin_compatible('grad-cam', max_pin='x.x') }}
    - {{ pin_compatible('matplotlib') }}
    - {{ pin_compatible('numpy') }}
    - {{ pin_compatible('pillow') }}
    - {{ pin_compatible('psutil') }}
    - {{ pin_compatible('pytorch') }}
    - {{ pin_compatible('scikit-image') }}
    - {{ pin_compatible('scikit-learn') }}
    - {{ pin_compatible('scipy') }}
    - {{ pin_compatible('tabulate') }}
    - {{ pin_compatible('torchvision') }}
    - {{ pin_compatible('tqdm') }}
    - {{ pin_compatible('tensorboard') }}
    - {{ pin_compatible('lightning', max_pin='x.x') }}
    - lightning >=2.2.0

test:
  source_files:
    - tests
  imports:
    - {{ data['project']['name'].replace('-','_') }}
  commands:
    - pytest -sv tests
  requires:
    - pytest {{ pytest }}

about:
  home: {{ data['project']['urls']['homepage'] }}
  summary: {{ data['project']['description'] }}
  license: {{ data['project']['license']['text'] }}
  license_family: GPL
